# Visualization
TKV3d
Visual3d

# Visual3d_HSequenceOfPickPath Class Reference

`#include <Visual3d_HSequenceOfPickPath.hxx>`

## Public Member Functions

| Visual3d_HSequenceOfPickPath ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Visual3d_PickPath &anItem)
Standard_EXPORT void | Append (const Handle(Visual3d_HSequenceOfPickPath)&aSequence)
Standard_EXPORT void | Prepend (const Visual3d_PickPath &anItem)
Standard_EXPORT void | Prepend (const Handle(Visual3d_HSequenceOfPickPath)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Visual3d_PickPath &anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Visual3d_HSequenceOfPickPath)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Visual3d_PickPath &anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Visual3d_HSequenceOfPickPath)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_Visual3d_HSequenceOfPickPath | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Visual3d_PickPath &anItem)
Standard_EXPORT const Visual3d_PickPath & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Visual3d_PickPath & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const Visual3d_SequenceOfPickPath & | Sequence () const
Visual3d_SequenceOfPickPath & | ChangeSequence ()
Standard_EXPORT Handle_Visual3d_HSequenceOfPickPath | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Visual3d_SequenceOfPickPath | mySequence

## Constructor & Destructor Documentation

Visual3d_HSequenceOfPickPath::Visual3d_HSequenceOfPickPath | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Visual3d_HSequenceOfPickPath::Append | ( | const Handle(Visual3d_HSequenceOfPickPath)& | aSequence | ) |

Standard_EXPORT void Visual3d_HSequenceOfPickPath::Append | ( | const Visual3d_PickPath & | anItem | ) |

Visual3d_SequenceOfPickPath& Visual3d_HSequenceOfPickPath::ChangeSequence | ( |  | ) |

Standard_EXPORT Visual3d_PickPath& Visual3d_HSequenceOfPickPath::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Visual3d_HSequenceOfPickPath::Clear | ( |  | ) |

Standard_EXPORT void Visual3d_HSequenceOfPickPath::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const Visual3d_HSequenceOfPickPath::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void Visual3d_HSequenceOfPickPath::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Visual3d_HSequenceOfPickPath)& | aSequence
| ) |

Standard_EXPORT void Visual3d_HSequenceOfPickPath::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Visual3d_PickPath & | anItem
| ) |

Standard_EXPORT void Visual3d_HSequenceOfPickPath::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Visual3d_HSequenceOfPickPath)& | aSequence
| ) |

Standard_EXPORT void Visual3d_HSequenceOfPickPath::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Visual3d_PickPath & | anItem
| ) |

Standard_Boolean Visual3d_HSequenceOfPickPath::IsEmpty | ( |  | ) | const

Standard_Integer Visual3d_HSequenceOfPickPath::Length | ( |  | ) | const

Standard_EXPORT void Visual3d_HSequenceOfPickPath::Prepend | ( | const Handle(Visual3d_HSequenceOfPickPath)& | aSequence | ) |

Standard_EXPORT void Visual3d_HSequenceOfPickPath::Prepend | ( | const Visual3d_PickPath & | anItem | ) |

Standard_EXPORT void Visual3d_HSequenceOfPickPath::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void Visual3d_HSequenceOfPickPath::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Visual3d_HSequenceOfPickPath::Reverse | ( |  | ) |

const Visual3d_SequenceOfPickPath& Visual3d_HSequenceOfPickPath::Sequence | ( |  | ) | const

Standard_EXPORT void Visual3d_HSequenceOfPickPath::SetValue | ( | const Standard_Integer | anIndex,
|  | const Visual3d_PickPath & | anItem
| ) |

Standard_EXPORT Handle_Visual3d_HSequenceOfPickPath Visual3d_HSequenceOfPickPath::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_Visual3d_HSequenceOfPickPath Visual3d_HSequenceOfPickPath::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Visual3d_PickPath& Visual3d_HSequenceOfPickPath::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

Visual3d_SequenceOfPickPath Visual3d_HSequenceOfPickPath::mySequence `[private]`

The documentation for this class was generated from the following file:

- Visual3d_HSequenceOfPickPath.hxx